/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __RANDOM_H
#define __RANDOM_H

/******************************************************************************
 * Includes
 *****************************************************************************/

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

/******************************************************************************
 * Public Functions
 *****************************************************************************/

/*****************************************************************************
 *
 * Description:
 *    Sets the seed to use for the random() function. This is equivalent to
 *    the srand() function in the standard library.
 *
 * Params:
 *    [in] seed     - the seed to initialize the random number sequence with
 *
 * Return:
 *    None
 *
 ****************************************************************************/
void random_init(int seed);


/*****************************************************************************
 *
 * Description:
 *    A substitute for the standard function rand() as it is poorly
 *    implemented and cyclic. This function should be replaced in the
 *    future with a better random number generator, but for now this is
 *    good enough.
 *
 * Params:
 *    None
 *
 * Return:
 *    The pseudo random number
 *
 ****************************************************************************/
int random(void);

#endif /* end __RANDOM_H */

