/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __JAW_GAME_H
#define __JAW_GAME_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "jaw_types.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

#define JAW_POINTER_TO_CELL(r,c)  &(gpBoard->board[r][c])

/******************************************************************************
 * Public variables
 *****************************************************************************/

extern tBoard* gpBoard;

/******************************************************************************
 * Public functions
 *****************************************************************************/

tJawError jaw_StartGame(void);

// user has pressed the red button and the game is terminated immediately
tJawError jaw_EndGame(void);

// Deals with the user click and returns E_OK if the game should continue,
// E_USER_SELECTED_TO_EXIT if the game should be shut down or any of the other
// error codes if anything goes wrong
tJawError jaw_ClickAt(int x, int y, int p);
tJawError jaw_CursorAt(uint16_t x, uint16_t y, uint16_t p, Bool released);

#endif /* end __JAW_GAME_H */

