/******************************************************************************
 *
 * Copyright:
 *    (C) 2000 - 2008 Embedded Artists AB
 *
 * Description:
 *    Jawbreaker graphical interface
 *
 *****************************************************************************/

#ifndef _JAW_GRAPHICS__h
#define _JAW_GRAPHICS__h

/******************************************************************************
 * Includes
 *****************************************************************************/

//#include "general.h"
#include "jaw_types.h"

/******************************************************************************
 * Defines, macros, and typedefs
 *****************************************************************************/

/******************************************************************************
 * Public variables
 *****************************************************************************/


/******************************************************************************
 * Public functions
 *****************************************************************************/

tJawError jaw_InitGraphics(void);
tJawError jaw_DeinitGraphics(void);
tJawError jaw_RestartGraphics(void);

tJawError jaw_UpdateCell(tCell* pCell);
tJawError jaw_UpdateAllCells(void);
tCell* jaw_GetCellForXY(uint16_t x, uint16_t y);
Bool jaw_IsButtonClick(Bool* pBtnNew, Bool* pBtnQuit, uint16_t x, uint16_t y, uint16_t p, Bool released);

tJawError jaw_ShowGameOverScreen(uint32_t totalScore);
tJawError jaw_UpdateExpectedScore(uint32_t score);
tJawError jaw_UpdateTotalScore(uint32_t score);

#endif
