/*****************************************************************************
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/

/******************************************************************************
 * Includes
 *****************************************************************************/


#include "string.h"
#include "lpc_types.h"
#include "lpc177x_8x_pinsel.h"
#include "lpc177x_8x_lcd.h"
#include "lpc177x_8x_uart.h"
#include "lpc177x_8x_ssp.h"

#include "sdram.h"
#include "truly_display.h"

#include "lpc_swim.h"


/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/


/******************************************************************************
 * Local Functions
 *****************************************************************************/



/******************************************************************************
 * Main method
 *****************************************************************************/

int main (void)
{
  SWIM_WINDOW_T win1;
  COLOR_T clr, *fblog;
//  int32_t dev_lcd = 0;
  int idx;
  UNS_16 xgs, ygs, curx, cury, curym, xidx;
  int32_t framebuf = (int32_t)(SDRAM_BASE+0x10000);


  sdram_init();

  memset((void*)(framebuf), 0x00, 240*320*2);

  /*dev_lcd = */truly_lcd_open(framebuf);
  


  fblog = (COLOR_T*)framebuf;

  /* Create a SWIM window */
  swim_window_open(&win1, DISPLAY_WIDTH, DISPLAY_HEIGHT, fblog, 0, 0, 
    DISPLAY_WIDTH-1, DISPLAY_HEIGHT-1, 1, WHITE, BLACK, BLACK);

  /* Compute vertical size for bars */
  ygs = DISPLAY_HEIGHT / 3;

  /* Draw Red bars */
  cury = 0;
  curx = 0;
  curym = ygs - 1;
  xgs = DISPLAY_WIDTH / RED_COLORS;
  clr = BLACK;
  for (xidx = 0; xidx < RED_COLORS; xidx++)
  {
      swim_set_pen_color(&win1, clr);
      for (idx = 0; idx <= xgs; idx++)
      {
          swim_put_line(&win1, curx, cury, curx, curym);
          curx++;
      }
      clr = clr + 0x0800;
  }

  /* Draw green bars */
  cury = cury + ygs;
  curx = 0;
  curym = cury + (ygs - 1);
  xgs = DISPLAY_WIDTH / GREEN_COLORS;
  clr = BLACK;
  for (xidx = 0; xidx < GREEN_COLORS; xidx++)
  {
      swim_set_pen_color(&win1, clr);
      for (idx = 0; idx <= xgs; idx++)
      {
          swim_put_line(&win1, curx, cury, curx, curym);
          curx++;
      }
      clr = clr + 0x0020;
  }

  /* Draw blue bars */
  cury = cury + ygs;
  curx = 0;
  curym = cury + (ygs - 1);
  xgs = DISPLAY_WIDTH / BLUE_COLORS;
  clr = BLACK;
  for (xidx = 0; xidx < BLUE_COLORS; xidx++)
  {
      swim_set_pen_color(&win1, clr);
      for (idx = 0; idx <= xgs; idx++)
      {
          swim_put_line(&win1, curx, cury, curx, curym);
          curx++;
      }
      clr = clr + 0x0001;
  }



  while(1) {
    ;
  }

  //truly_lcd_close(dev_lcd);
}


